import { Icons } from "@/components/icons"
import { cn } from "@/lib/utils"

export function SiteFooter({ className }: React.HTMLAttributes<HTMLElement>) {
    return (
        <footer className={cn(className)}>
            <div className="container flex flex-col items-center justify-between gap-4 py-10 md:h-24 md:flex-row md:py-0">
                <div className="flex flex-col items-center gap-4 px-8 md:flex-row md:gap-2 md:px-0">
                    <span>
                        <Icons.logo className="h-7 w-7 dark:hidden" />
                    </span>
                    <Icons.logoWhite className="h-7 w-7 hidden dark:block" />
                    <span className="px-3">
                        <Icons.logoName className="dark:hidden" />
                        <Icons.logoWhiteName className="hidden dark:block" />
                    </span>
                    <p className="text-center text-sm leading-loose md:text-left">
                        Built by
                        Yusuf Akgül,
                        Omar Kasbah,
                        Caner Ilaslan,
                        David Jakszta,
                        Serdar Dorak,
                        and Valeria Luft
                        with ❤️
                    </p>
                </div>
            </div>
        </footer>
    )
}